import request from '@/utils/request'

// 查询财金监管-人民银行行政处罚信息列表
export function listPenalty(query) {
    return request({
        url: '/crmFinanceSupervisionPbcPenalty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询财金监管-人民银行行政处罚信息详细
export function getPenalty(id) {
    return request({
        url: '/crmFinanceSupervisionPbcPenalty/' + id,
        method: 'get'
    })
}

// 新增财金监管-人民银行行政处罚信息
export function addPenalty(data) {
    return request({
        url: '/crmFinanceSupervisionPbcPenalty',
        method: 'post',
        data: data
    })
}

// 修改财金监管-人民银行行政处罚信息
export function updatePenalty(data) {
    return request({
        url: '/crmFinanceSupervisionPbcPenalty',
        method: 'put',
        data: data
    })
}

// 删除财金监管-人民银行行政处罚信息
export function delPenalty(id) {
    return request({
        url: '/crmFinanceSupervisionPbcPenalty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
    console.log(ids);
    return request.post('/crmFinanceSupervisionPbcPenalty/delete',ids)
}